Subject: Re: Problems building Xemacs/i686-pc-cygwin
From: "Dr. Volker Zell" <[email-masked]>
To: "David A. Cobb" <[email-masked]>
Cc: "Dr. Volker Zell" <[email-masked]>, Cygwin General MailList <[email-masked]>
Date: 02 Aug 2001 23:08:47 +0200

>>>>> "David" == David A Cobb <[email-masked]> writes:

    David> At 8/2/01 09:17 AM (Thursday), Dr. Volker Zell wrote:
    >> >>>>> "David" == David A Cobb <[email-masked]> writes:
    David> linuxplay.o: In function `play_sound_file':
    David> /usr/local/src/XEmacs/xemacs-21.5/src/linuxplay.c(.text+0x1108):
    David> multiple definition of `play_sound_file'
    >> 
    David> 
    >> ntplay.o(.text+0x418):/usr/local/src/XEmacs/xemacs-21.5/src/ntplay.c:

    David> first defined here
    >> 
    >> For this one you have to take out linuxplay.o from the link
    >> line. Linking is broken

    >> since cygwin has sound support. The configure script detects
    >> /usr/include/soundcard.h

    >> and thinks we're on linux.

    David> I was afraid of that.  Another case where the configuration tools
    David> outsmart themselves by trying to be smarter than the user!  I
    David> explicitly tell it "--with-sound=native,noesd"

    David> and it still goes looking for something that doesn't work.

    David> How do I do this, should I rename soundcard.h so it isn't found?

This would work, or you could edit the line
extra_objs=.....
from src/GNUMakefile and delete soundcard.o from there after running configure.
From then on, make will run just fine.

    David> I guess I need to hid my X11R6 directory also -- altho' David S-B says
    David> he also gets the error about not being able to find X11R6.dll and it
    David> didn't hurt him.

If you installed X11R6 like advertised then there should be no problem.

Ciao
  Volker

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/